aboutsummaryrefslogtreecommitdiff
path: root/auth/moebooru.zsh
diff options
context:
space:
mode:
authorMaria Lisina <sekoohaka.sarisan@gmail.com>2025-06-22 01:28:58 +0500
committerMaria Lisina <sekoohaka.sarisan@gmail.com>2025-06-22 01:28:58 +0500
commitac2576b5af83f68f1d5f83a6b8d38ef463185c59 (patch)
treeafe6a0a026bc736cca874912c287465916b7a339 /auth/moebooru.zsh
parent3fd621be134f71a4638b0aea2070116e9c5caf1e (diff)
bot: Workaround TLS/SSL timeout error
Signed-off-by: Maria Lisina <sekoohaka.sarisan@gmail.com>
Diffstat (limited to 'auth/moebooru.zsh')
-rw-r--r--auth/moebooru.zsh6
1 files changed, 5 insertions, 1 deletions
diff --git a/auth/moebooru.zsh b/auth/moebooru.zsh
index c3a893d..c67fddc 100644
--- a/auth/moebooru.zsh
+++ b/auth/moebooru.zsh
@@ -5,12 +5,16 @@
ib_auth_file="${cache}/${update_id}_user.json"
dump+=(${ib_auth_file##*/})
-if ! curl --data-urlencode "username=${ib_login}" \
+if ! curl --connect-timeout ${connrefused_timeout} \
+ --data-urlencode "username=${ib_login}" \
--data-urlencode "api_key=${ib_key}" \
--get \
--max-time ${external_timeout} \
--output "${ib_auth_file}" \
--proxy "${external_proxy}" \
+ --retry 1 \
+ --retry-connrefused \
+ --retry-max-time $((external_timeout - connrefused_timeout)) \
--silent \
--user-agent "${useragent}" \
"${ib_auth}/user.json"